Name:           font-manager
Version:        0.5.7
Release:        6%{?dist}
Summary:        A font management application for the GNOME desktop environment
Group:          Applications/Publishing
License:        GPLv3+
URL:            http://code.google.com/p/font-manager
Source0:        http://font-manager.googlecode.com/files/%{name}-%{version}.tar.bz2
Patch0:         font-manager_bug_658328.patch
Patch1:         font-manager-0.5.7-gcc47.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# Explicit dependencies required because there is no automatic dependencies
# resolution for the python modules.
Requires:       fontconfig libxml2-python pygtk2 freetype sqlite python-reportlab
BuildRequires:  python desktop-file-utils fontconfig-devel glib2-devel python-devel pango-devel
BuildRequires:  sqlite-devel

%description
Font Manager is an application that allows users to easily manage fonts
on their system.

Although designed with the GNOME desktop environment in mind, it should
work well with most major desktop environments such as XFCE,
Enlightenment, and even KDE.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .gcc47

%build
%configure --enable-debuginfo
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/font-manager.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/font-sampler.desktop

# Make file executable to be picked up by find-debuginfo.sh
chmod +x $RPM_BUILD_ROOT%{_libdir}/font-manager/fontutils.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/font-manager
%{_bindir}/font-sampler
%{_libdir}/font-manager/
%{_datadir}/font-manager/
%{_datadir}/applications/

%changelog
* Sat Aug 04 2012 Parag Nemade <paragn AT fedoraproject DOT org> - 0.5.7-6
- Fix FTBFS for gcc-4.7

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jan 15 2012 Ian Weller <iweller@redhat.com> - 0.5.7-4
- Requires: python-reportlab

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan  2 2011 Jean-Francois Saucier <jsaucier@gmail.com> - 0.5.7-1
- Update to the new upstream version

* Wed Sep 29 2010 jkeating - 0.5.6-2
- Rebuilt for gcc bug 634757

* Wed Sep 15 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.5.6-1
- Rebuild new version

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 0.5.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jul  8 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.5.5.4-1
- Rebuild the new version

* Fri Jun 18 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.5.4-5
- Include upstream patch for debuginfo and compilation issue

* Tue Jun  8 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.5.4-4
- Fix library issue
- Fix compilation issue with Fedora
- Fix the creation of a useful debuginfo package

* Thu Jun  3 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.5.4-3
- Include some fixes by upstream for the compilation error on x86_64

* Thu Jun  3 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.5.4-2
- Fix the compilation error on x86_64
- Fix some BuildRequires for the new version

* Wed Jun  2 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.5.4-1
- Update to new upstream version

* Wed Apr 14 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.4-1
- Update to new upstream version

* Sun Jan 17 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.3-1
- Update to new upstream version
- Remove patches as they are not necessary anymore
- Adjust python optimization

* Wed Jan  6 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.2-5
- Fix license string
- Fix upstream Makefile to include *.py file with *.pyc and *.pyo

* Sun Jan  3 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.2-4
- Fix permission problem on .desktop file directly with a patch

* Sun Jan  3 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.2-3
- Fix permission problem on .desktop file
- Fix wildcards problem in file section

* Sun Jan  3 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.2-2
- Fix as per the recommendations on bug #551878

* Sat Jan  2 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.4.2-1
- Initial build for Fedora
